Name:           cppcheck
Summary:        Static analysis tool for C/C++
Version:        1.69
%define subrel 1
Release:        %mkrel 1
License:        GPLv3+
Group:          Development/C++
Url:            http://cppcheck.sourceforge.net/
Source:         http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig(tinyxml2)

%description
This program tries to detect bugs that your C/C++ compiler does not
find. Cppcheck is versatile. You can check non-standard code that includes
various compiler extensions, inline assembly code, etc. One of its goals
is no false positives.

%prep
%setup -q

%build
# TINYXML= prevents use of the bundled tinyxml
CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}" LIBS=-ltinyxml2 %make TINYXML= \
    CFGDIR=%{_datadir}/%{name}

# this command line is documented inside cppcheck.1.xml
cd man
xsltproc --nonet --param man.charmap.use.subset "0" \
   --param make.year.ranges "1" --param make.single.year.ranges "1" \
   /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl \
   cppcheck.1.xml

%check
# Config is not available in the system-wide directory - delete executables and recompile
find . -name \*.o -delete
CXXFLAGS="%{optflags} -DNDEBUG $(pcre-config --cflags)" \
    LDFLAGS="%{ldflags}" LIBS=-ltinyxml2 %make TINYXML= \
    CFGDIR=$(pwd)/cfg \
    check

%install
%makeinstall_std
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/cppcheck.1 %{buildroot}/%{_mandir}/man1

# Taken from the Fedora 22 .src.rpm - thanks!
# Install cfg files
cd cfg
for f in *; do
    install -D -p -m 644 $f %{buildroot}%{_datadir}/cppcheck/$f
done

%files
%doc AUTHORS readme.txt
%{_bindir}/cppcheck
%{_bindir}/cppcheck-htmlreport
%{_datadir}/cppcheck/
%{_mandir}/man1/cppcheck.1*


%changelog
* Sat Sep 19 2015 shlomif <shlomif> 1.69-1.1.mga5
+ Revision: 881274
- backported changes from Cauldron ( MGA#16471) - get it to run again+new ver.

* Wed Oct 15 2014 umeabot <umeabot> 1.65-3.mga5
+ Revision: 739066
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.65-2.mga5
+ Revision: 678567
- Mageia 5 Mass Rebuild

* Wed May 21 2014 shlomif <shlomif> 1.65-1.mga5
+ Revision: 624657
- New version 1.65

* Fri Feb 14 2014 kharec <kharec> 1.63-1.mga5
+ Revision: 591384
- new version 1.63

* Sat Oct 19 2013 umeabot <umeabot> 1.61-2.mga4
+ Revision: 531533
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 1.61-1.mga4
+ Revision: 463846
- New version: 1.61

* Wed Jun 05 2013 kharec <kharec> 1.60.1-1.mga4
+ Revision: 437563
- update to 1.60.1

* Thu May 23 2013 kharec <kharec> 1.59-1.mga4
+ Revision: 425109
- update to 1.59

* Mon Feb 25 2013 kharec <kharec> 1.58-1.mga3
+ Revision: 400313
- Fix rpm group
- new version 1.58

* Fri Jan 11 2013 umeabot <umeabot> 1.57-2.mga3
+ Revision: 348241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.57-1.mga3
+ Revision: 325241
- new version 1.57
- clean .spec

* Mon Sep 03 2012 shlomif <shlomif> 1.56-2.mga3
+ Revision: 287642
- fix description

* Mon Sep 03 2012 kharec <kharec> 1.56-1.mga3
+ Revision: 287622
- new version 1.56

* Thu Jul 05 2012 kharec <kharec> 1.55-1.mga3
+ Revision: 267970
- 1.55

* Mon May 28 2012 kharec <kharec> 1.54-1.mga3
+ Revision: 247930
- Update to 1.54 (many improves and bugfix)

* Tue Feb 21 2012 kharec <kharec> 1.53-1.mga2
+ Revision: 211581
- New version 1.53

* Mon Dec 12 2011 kharec <kharec> 1.52-1.mga2
+ Revision: 180843
- New version 1.52

* Sun Nov 20 2011 kharec <kharec> 1.51-1.mga2
+ Revision: 170013
- new version 1.51

* Sun Nov 20 2011 kharec <kharec> 1.47-1.mga2
+ Revision: 169901
- imported package cppcheck

